Bug 1289829 - [abrt] rosegarden4: __strcmp_sse2_unaligned(): rosegarden killed by SIGSEGV
[abrt] rosegarden4: __strcmp_sse2_unaligned(): rosegarden killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rosegarden4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5096d36faaefc0fafc30cbc5114...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 23:54 EST by niksa
Modified: 2016-12-20 11:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (168.36 KB, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: cgroup (338 bytes, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: core_backtrace (20.37 KB, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: dso_list (21.66 KB, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: environ (3.55 KB, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: maps (106.11 KB, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: mountinfo (4.46 KB, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: open_fds (856 bytes, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details
File: proc_pid_status (993 bytes, text/plain)
2015-12-08 23:54 EST, niksa
no flags Details

  None (edit)
Description niksa 2015-12-08 23:54:07 EST
Description of problem:
Applied the newest update from Fedora 23 site, started the program and it crashed.

Version-Release number of selected component:
rosegarden4-15.10.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rosegarden
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/rosegarden
global_pid:     25256
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:29
 #1 g_str_equal at ghash.c:1845
 #2 g_hash_table_lookup_node at ghash.c:396
 #3 g_hash_table_lookup at ghash.c:1147
 #4 quark_from_string at gquark.c:182
 #5 g_quark_from_static_string at gquark.c:246
 #6 __static_initialization_and_destruction_0 at application.cc:59
 #7 _GLOBAL__sub_I_application.cc(void) at application.cc:1434
 #8 call_init at dl-init.c:72
 #10 _dl_init at dl-init.c:120
Comment 1 niksa 2015-12-08 23:54:13 EST
Created attachment 1103783 [details]
File: backtrace
Comment 2 niksa 2015-12-08 23:54:14 EST
Created attachment 1103784 [details]
File: cgroup
Comment 3 niksa 2015-12-08 23:54:16 EST
Created attachment 1103785 [details]
File: core_backtrace
Comment 4 niksa 2015-12-08 23:54:18 EST
Created attachment 1103786 [details]
File: dso_list
Comment 5 niksa 2015-12-08 23:54:19 EST
Created attachment 1103787 [details]
File: environ
Comment 6 niksa 2015-12-08 23:54:21 EST
Created attachment 1103788 [details]
File: exploitable
Comment 7 niksa 2015-12-08 23:54:22 EST
Created attachment 1103789 [details]
File: limits
Comment 8 niksa 2015-12-08 23:54:24 EST
Created attachment 1103790 [details]
File: maps
Comment 9 niksa 2015-12-08 23:54:26 EST
Created attachment 1103791 [details]
File: mountinfo
Comment 10 niksa 2015-12-08 23:54:28 EST
Created attachment 1103792 [details]
File: namespaces
Comment 11 niksa 2015-12-08 23:54:29 EST
Created attachment 1103793 [details]
File: open_fds
Comment 12 niksa 2015-12-08 23:54:30 EST
Created attachment 1103794 [details]
File: proc_pid_status
Comment 13 Fedora End Of Life 2016-11-24 09:05:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 11:49:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.